# Loki::AssertCheckStrict< P > Struct Template Reference
[Checking policies]

`#include <SmartPtr.h>`

List of all members.

## Detailed Description

### template<class P>
struct Loki::AssertCheckStrict< P >

Implementation of the CheckingPolicy used by SmartPtr Checks the pointer against zero upon initialization and before dereference You can initialize an AssertCheckStrict with an AssertCheck

The documentation for this struct was generated from the following file:

- SmartPtr.h